#
# @(#)Makefile	2.1 88/08/01 4.0 RPCSRC
#
# Makefile for rpc protocol compiler
# Copyright (C) 1987, Sun Microsystems, Inc.
#
# Rewritten for Wattcp (HighC) by G.Vanem <giva@bgnett.no>
#

!include ..\common.mak

SRC = rpc_main.c rpc_hout.c rpc_cout.c rpc_pars.c rpc_scan.c \
      rpc_util.c rpc_svco.c rpc_clou.c highc.c getopt.c

OBJ = $(SRC:.c=.o32)

HC_CFLAGS = $(HC_CFLAGS) -DUSE_LONG_FOR_INT32

all:    rpcgen.exp

.c.o32:
        $(HC_CC) -c $*.c @&&|
          $(HC_CFLAGS)
|

rpcgen.exp: $(OBJ)
        386link -exe $*.exp @&&|
           $(OBJ) -lib hc386, hc387, dosx32                   \
           -nostub -pack -offset 1000h -twocase -unprivileged \
           -symbols -purge none * -mapnames 30 -mapwidth 132  \
           -fullseg -publist both
|

clean:
        @del *.o32
        @del rpcgen.exp
        @del rpcgen.map

